Subject: Re: [Bitcoin-development] Payment Protocol for Face-to-face Payments

From: Mike Hearn <[email-masked]>
Date: Thu, 30 Jan 2014 11:50:22 +0100

Although it should be noted that these binaries don't yet do URI support so
you can't scan a bitcoin URI with r= in it and see the verified merchant
name, etc. I think Andreas plans to do the UI for that in the next update.

On Thu, Jan 30, 2014 at 11:46 AM, Andreas Schildbach
<[email-masked]>wrote:

> Just a small update. I merged the code to my bitcoinj-0.11 branch and
> put up binary .apk files for experimentation. Just make sure to tick
> "BIP70 for tap-to-pay/scan-to-pay" in the labs settings.
>
> Source:
> https://github.com/schildbach/bitcoin-wallet/commits/bitcoinj-0.11
>
> Binaries:
>
> https://github.com/schildbach/bitcoin-wallet/releases/tag/v3.30-bitcoinj0.11
>
>
> On 01/27/2014 12:59 PM, Andreas Schildbach wrote:
> > As promised I'd like to present my work done on leveraging the payment
> > protocol for face-to-face payments. The general assumption is that
> > individuals don't own X.509 certificates. Their devices may be only
> > badly connected to the internet or in some cases not at all. I've
> > implemented a prototype on a branch of Bitcoin Wallet. It is using
> > bitcoinj 0.11 (not released).
> >
> > https://github.com/schildbach/bitcoin-wallet/commits/payment-protocol
>
>
>
>
> ------------------------------------------------------------------------------
> WatchGuard Dimension instantly turns raw network data into actionable
> security intelligence. It gives you real-time visual feedback on key
> security issues and trends.  Skip the complicated setup - simply import
> a virtual appliance and go from zero to informed in seconds.
>
> http://pubads.g.doubleclick.net/gampad/clk?id=123612991&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>